{
  // "layer": "top", // Waybar at top layer
  // "position": "bottom", // Waybar position (top|bottom|left|right)
  "height": 30, // Waybar height (to be removed for auto height)
  // "width": 1280, // Waybar width
  "spacing": 0, // Gaps between modules (4px)
  "reload_style_on_change": true,

  // Choose the order of the modules
  "modules-left": ["group/group-cpu", "hyprland/workspaces", "mpris"],
  "modules-center": ["hyprland/window"],
  "modules-right": [
    "gamemode",
    "tray",
    "power-profiles-daemon",
    "network",
    "pulseaudio",
    "backlight",
    "battery",
    "clock",
    "group/group-power"
  ],

  // Modules configuration
  "hyprland/workspaces": {
    "all-outputs": true,
    "on-click": "activate",
    "format": "{icon}",
    "format-icons": {
      "1": "󰮯",
      "2": "󰈹",
      "3": "",
      "4": "󱊷",
      "5": "",
      "6": "",
      "7": "",
      "8": " ",
      "9": "",
      "10": "",
      "urgent": "",
      "default": ""
    },
    "persistent-workspaces": { "*": [1] }
  },

  "hyprland/window": {
    "format": "{}",
    "rewrite": {
      "(.*) — Mozilla Firefox": "$1",
      ".*YouTube.*": "YouTube"
    },
    "separate-outputs": true
  },

  "idle_inhibitor": {
    "format": "{icon}",
    "on-click": "activate",
    "format-icons": {
      "activated": "󰔡",
      "deactivated": "󰨙"
    },
    "tooltip": true,
    "tooltip-format-activated": "Idle Inhibitor On",
    "tooltip-format-deactivated": "Idle Inhibitor Off"
  },

  "tray": {
    "spacing": 10
  },

  "clock": {
    "tooltip-format": "{:%A, %B %d, %Y}",
    "format": "{:%I:%M %p}"
  },

  "cpu": {
    "interval": 5,
    "format": "  {usage}% ",
    "tooltip": false
  },

  "memory": {
    "interval": 5,
    "format": "  {used:0.1f}G/{total:0.1f}G",
    "tooltip": true,
    "tooltip-format": "{used:0.1f}G/{total:0.1f}G "
  },

  "temperature": {
    // "thermal-zone": 2,
    // "hwmon-path": "/sys/class/hwmon/hwmon2/temp1_input",
    "interval": 5,
    "critical-threshold": 80,
    // "format-critical": "{temperatureC}°C {icon}",
    "format": "🌡  {temperatureC}°C ",
    "format-icons": ["", "", ""]
  },

  "backlight": {
    // "device": "acpi_video1",
    "format": "{icon} {percent}%",
    "format-icons": ["󰃜", "󰃛", "󰃚"],
    "scroll-step": 5.0,
    "tooltip": false
  },

  "battery": {
    "states": {
      "warning": 30,
      "critical": 15
    },
    "interval": 2,
    "format": "{icon}",
    "format-full": "{icon}",
    "format-charging": "󰂄",
    "format-plugged": "",
    "tooltip": true,
    "tooltip-format": "{capacity}%",
    // "format-alt": "{icon}",
    // "format-good": "", // An empty format will hide the module
    // "format-full": "",
    "format-icons": ["󰁺", "󰁼", "󰁾", "󰂁", "󰁹"]
  },

  "power-profiles-daemon": {
    "format": "{icon}",
    "tooltip-format": "Power profile: {profile}\nDriver: {driver}",
    "tooltip": true,
    "format-icons": {
      "default": "",
      "performance": "",
      "balanced": "󰾞",
      "power-saver": ""
    }
  },

  "network": {
    "interval": 60,
    "format": "{ifname}",
    "format-wifi": "{essid}",
    "format-disconnected": "󰤭",
    "tooltip-format": "{ifname} (via {gwaddr}): {ipaddr}",
    "tooltip-format-wifi": "{essid} ({signalStrength}%) (via {gwaddr}): {ipaddr}",
    "tooltip-format-ethernet": "{ifname} (via {gwaddr}): {ipaddr}",
    "tooltip-format-disconnected": "Disconnected",
    "max-length": 50,
    "on-click": "kitty -- nmtui"
  },

  "pulseaudio": {
    "format": "{icon} {volume}%",
    "format-muted": "󰖁",
    "format-icons": {
      "default": ["", "", "󰕾"],
      "alsa_output.pci-0000_00_1f.3.analog-stereo": "",
      "alsa_output.pci-0000_00_1f.3.analog-stereo-muted": "",
      "headphone": "",
      "hands-free": "",
      "headset": "",
      "phone": "",
      "phone-muted": "",
      "portable": "",
      "car": ""
    },
    "tooltip-format": "{desc} {volume}%",
    "on-click": "pavucontrol"
  },

  "cava": {
    "framerate": 144,
    "autosens": 0,
    "sensitivity": 10,
    "bars": 18,
    "lower_cutoff_freq": 50,
    "higher_cutoff_freq": 10000,
    "sleep_timer": 2,
    "hide_on_silence": true,
    //"format_silent": "quiet",
    "method": "pulse",
    "source": "auto",
    "stereo": true,
    "reverse": false,
    "bar_delimiter": 0,
    "monstercat": false,
    "waves": false,
    "noise_reduction": 0.77,
    "input_delay": 2,
    "format-icons": ["▁", "▂", "▃", "▄", "▅", "▆", "▇", "█"],
    "actions": {
      "on-click-right": "mode"
    }
  },

  "mpris": {
    "format": "{dynamic}",
    "format-paused": "{dynamic}",
    "format-stopped": "",
    "interval": 2,
    "dynamic-order": ["title", "artist"],
    "tooltip-format": "{player}({status})",
    "dynamic-importance-order": ["title", "artist"],
    "title-len": 30,
    "artist-len": 20,
    "max-len": 30,
    "ellipsis": "...",
    "ignored-players": ["firefox", "chromium", "brave"]
  },

  "gamemode": {
    "format": "{glyph}",
    "format-alt": "{glyph} {count}",
    "glyph": "",
    "hide-not-running": true,
    "use-icon": true,
    "icon-name": "input-gaming-symbolic",
    "icon-spacing": 4,
    "icon-size": 20,
    "tooltip": true,
    "tooltip-format": "Games running: {count}"
  },

  "group/group-cpu": {
    "orientation": "inherit",
    "drawer": {
      "transition-duration": 350,
      "children-class": "not-cpu",
      "transition-left-to-right": true
    },
    "modules": [
      "custom/arch", // First element is the "group leader" and won't ever>
      "cpu",
      "memory",
      "temperature"
    ]
  },
  "group/group-power": {
    "orientation": "inherit",
    "drawer": {
      "transition-duration": 350,
      "children-class": "not-power",
      "transition-left-to-right": false
    },
    "modules": [
      "user", // First element is the "group leader" and won't ever be hidden
      "idle_inhibitor",
      "custom/quit",
      "custom/lock",
      "custom/reboot",
      "custom/sleep",
      "custom/power"
    ]
  },

  "custom/quit": {
    "format": "󰗼",
    "tooltip": false,
    "on-triple-click": "hyprctl dispatch exit"
  },
  "custom/lock": {
    "format": "󰍁",
    "tooltip": false,
    "on-click": "hyprlock"
  },
  "custom/reboot": {
    "format": "",
    "tooltip": false,
    "on-triple-click": "reboot"
  },
  "custom/power": {
    "format": " ",
    "tooltip": false,
    "on-triple-click": "shutdown now"
  },
  "custom/sleep": {
    "format": "󰤄",
    "tooltip": false,
    "on-double-click": "systemctl suspend"
  },
  "custom/arch": {
    "format": "  󰣇",
    "tooltip": false,
    "on-click": "~/.local/bin/rofi-waybar"
  },

  "user": {
    "format": "{user}",
    "interval": 60,
    "height": 30,
    "width": 30,
    "icon": true
  }
}
